PFE not found in LSDK19.09 linux 5.4 and 5.2

cancel
Showing results for 
Search instead for 
Did you mean: 

PFE not found in LSDK19.09 linux 5.4 and 5.2

407 Views
kai_wu
Contributor III

Hi,

I am working with LSDK 1909, and build the Linux 5.2 and Linux 5.4. I built them successfully with help from yipingwang in another question LSDK19.09 for linux 5.4 .     

But I found there is not pfe driver in both LSDK Linux 5.2 and Linux 5.4.

So I cannot see eth0 and eth1 in ls1012ardb. Is there any problem with pfe driver?  Or where I can get the pfe driver for LSDK Linux branch 5.x.         

 

Best regards,

Kai Wu

Labels (1)
0 Kudos
2 Replies

240 Views
yipingwang
NXP TechSupport
NXP TechSupport

Hello Kai Wu ,

I upload Linux 5.4 source code downloaded from our internal git tree to you, please download it from the following link.

https://drive.google.com/open?id=1gEtKmLl572G9xoVYhRfD0qrYwDOd58Ot 

Please refer to PFE Linux Kernel driver in drivers/staging/fsl_ppfe/.

Thanks,

Yiping

0 Kudos

65 Views
shaunch-lin
Contributor I

Hi, 

I'm using openIL 1.11 with linux 5.4, LSDK 20.04

and I also meeting this problem, 

but I can see firmware file and driver by lsmod

Is there anything I can check ?

 

0 Kudos